Subject: I-D ACTION:draft-ietf-ldapext-locate-05.txt

From: [email-masked]
Date: Thu, 08 Mar 2001 06:56:57 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the LDAP Extension Working Group of the IETF.

	Title		: Discovering LDAP Services with DNS
	Author(s)	: M. Armijo, L. Esibov, P. Leach, R. Morgan
	Filename	: draft-ietf-ldapext-locate-05.txt
	Pages		: 6
	Date		: 07-Mar-01
	
A Lightweight Directory Access Protocol (LDAP) request must be
directed to an appropriate server for processing.  This document
specifies a method for discovering such servers using information in
the Domain Name System.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ldapext-locate-05.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-ldapext-locate-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-ldapext-locate-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Thu, 08 Mar 2001 18:15:03 -0800

What are the outstanding technical issues in regards to
this I-D?  I assume there must be some unresolved issue
as this I-D is on the IETF#50 agenda.  However, given that the
two recent enquiries requesting status and outstanding
issues came up empty, I cannot even imagine what they
might be.  Can someone provide a clue?

Thanks, Kurt

---

From: Roland Hedberg <[email-masked]>
Date: Fri, 9 Mar 2001 09:07:27 +0100

> might be.  Can someone provide a clue?

I had the impression that the topic Bob brought up at the last IETF meeting 
was not completely resolved. If that isn't the case I'll gladly remove it 
from the agenda.

-- Roland

---

From: "RL 'Bob' Morgan" <[email-masked]>
Date: Fri, 9 Mar 2001 12:46:43 -0500 (EST)

> was not completely resolved. If that isn't the case I'll gladly remove it

It is still my impression that this doc will not get thru
IESG/IETF-Last-Call with the current DN->DNS mapping algorithm.  But the
way it is does represent the consensus of the ldapext WG, so probably the
best way to get real discussion is to forward it to IESG.

Tim Polk, one of the PKI-oriented folks who is prepared to make the case
for changing the mapping algorithm, is willing to come to the ldapext
meeting to talk about this.  So I suggest we use the slot for this
discussion.

 - RL "Bob"

---

From: Roland Hedberg <[email-masked]>
Date: Fri, 9 Mar 2001 19:52:47 +0100

On Friday 09 March 2001 18:46, RL 'Bob' Morgan wrote:
> > I had the impression that the topic Bob brought up at the last IETF
> > meeting was not completely resolved. If that isn't the case I'll gladly
> > remove it from the agenda.
>

Good, I'll leave it in then !

-- Roland

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Fri, 09 Mar 2001 11:36:24 -0800

At 12:46 PM 3/9/01 -0500, RL 'Bob' Morgan wrote:
>IESG/IETF-Last-Call with the current DN->DNS mapping algorithm.

I confident the document will be approved after a brief
reiteration of past discussions.

>But the way it is does represent the consensus of the ldapext WG,
>so probably the best way to get real discussion is to forward it to IESG.

I concur.

>meeting to talk about this.  So I suggest we use the slot for this

RFC 2247 defines an domain name / DN equivalency.  It provides
details on the domain -> DN mapping, the DN -> domain is
implicitly provided via the defined equivalency.  

RFC 2247, Section 3: 
   Distinguished names in which there are one or more RDNs, all
   containing only the attribute type DC, can be mapped back into domain
   names. Note that this document does not define a domain name
   equivalence for any other distinguished names.

Hence, locate I-D doesn't define the mapping, RFC 2247 does.
While it could be argued that the specification in RFC 2247 is
not complete, the specification does exist.  The locate I-D
completes specification of the DN to DNS mapping provided by
the RFC 2247 defined equivalence.  (If anything, a clarification
to the I-D as to the actual relationship to RFC 2247 is needed.)

While other DN to domain mappings might be useful, these are
not supported by RFC 2247 and, IMO, should be viewed as beyond the
scope of this particular I-D.

Anyways, I do not object to giving Tim Polk (or others) an
opportunity to voice their views.  I do wish this discussion
would take place (at least in part) on the mailing list so that
we'd have it in the archive for later reference.  I look forward
to what I hope will be a conclusive discussion of this issue.

Kurt